GraphDatabaseBuilder.Delegator (Neo4j Community 2.1.0-M01 API)
Date: 2014-02-20

org.neo4j.graphdb.factory

## Class GraphDatabaseBuilder.Delegator

- java.lang.Object
- - org.neo4j.graphdb.factory.GraphDatabaseBuilder
  - - org.neo4j.graphdb.factory.GraphDatabaseBuilder.Delegator

- Enclosing class:
    GraphDatabaseBuilder

      public static class GraphDatabaseBuilder.Delegator
      extends GraphDatabaseBuilder

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.neo4j.graphdb.factory.GraphDatabaseBuilder

      `GraphDatabaseBuilder.DatabaseCreator, GraphDatabaseBuilder.Delegator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphDatabaseBuilder.Delegator(GraphDatabaseBuilder actual)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `GraphDatabaseBuilder` | `loadPropertiesFromFile(String fileName)` Load a Properties file from a given file, and add the settings to the builder.
    `GraphDatabaseBuilder` | `loadPropertiesFromURL(URL url)` Load Properties file from a given URL, and add the settings to the builder.
    `GraphDatabaseService` | `newGraphDatabase()` Create a new database with the configuration registered through the builder.
    `GraphDatabaseBuilder` | `setConfig(Map<String,String> config)` Set a map of config settings into the builder.
    `GraphDatabaseBuilder` | `setConfig(Setting<?> setting, String value)` Set a database setting to a particular value.
    `GraphDatabaseBuilder` | `setConfig(String name, String value)` Set an unvalidated configuration option.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphDatabaseBuilder.Delegator

          public GraphDatabaseBuilder.Delegator(GraphDatabaseBuilder actual)

  - ### Method Detail

    - #### setConfig

          public GraphDatabaseBuilder setConfig(Setting<?> setting,
                                       String value)

      Description copied from class: `GraphDatabaseBuilder`
      Set a database setting to a particular value.
      Overrides:
        `setConfig` in class `GraphDatabaseBuilder`
      Returns:
        the builder

    - #### setConfig

          public GraphDatabaseBuilder setConfig(String name,
                                       String value)

      Description copied from class: `GraphDatabaseBuilder`
      Set an unvalidated configuration option.
      Overrides:
        `setConfig` in class `GraphDatabaseBuilder`

    - #### setConfig

          public GraphDatabaseBuilder setConfig(Map<String,String> config)

      Description copied from class: `GraphDatabaseBuilder`
      Set a map of config settings into the builder. Overwrites any existing values.
      Overrides:
        `setConfig` in class `GraphDatabaseBuilder`
      Returns:
        the builder

    - #### loadPropertiesFromFile

          public GraphDatabaseBuilder loadPropertiesFromFile(String fileName)
                                                      throws IllegalArgumentException

      Description copied from class: `GraphDatabaseBuilder`
      Load a Properties file from a given file, and add the settings to the builder.
      Overrides:
        `loadPropertiesFromFile` in class `GraphDatabaseBuilder`
      Returns:
        the builder
      Throws:
        `IllegalArgumentException` - if the builder was unable to load from the given filename

    - #### loadPropertiesFromURL

          public GraphDatabaseBuilder loadPropertiesFromURL(URL url)
                                                     throws IllegalArgumentException

      Description copied from class: `GraphDatabaseBuilder`
      Load Properties file from a given URL, and add the settings to the builder.
      Overrides:
        `loadPropertiesFromURL` in class `GraphDatabaseBuilder`
      Returns:
        the builder
      Throws:
        `IllegalArgumentException`

    - #### newGraphDatabase

          public GraphDatabaseService newGraphDatabase()

      Description copied from class: `GraphDatabaseBuilder`
      Create a new database with the configuration registered through the builder.
      Overrides:
        `newGraphDatabase` in class `GraphDatabaseBuilder`
      Returns:
        an instance of GraphDatabaseService

Copyright © 2002–2014 The Neo4j Graph Database Project. All rights reserved.